Read from an open directory entry

- « zip_entry_open

- zip_open »

- PHP Manual
- Zip Functions
- Read from an open directory entry

# zip_entry_read

(PHP 4 >= 4.1.0, PHP 5 >= 5.2.0, PHP 7, PHP 8, PECL zip >= 1.0.0)

zip_entry_read — Read from an open directory entry

Warning

This function has been DEPRECATED as of PHP 8.0.0. Relying on this function is highly discouraged.

### Description

zip_entry_read(resource `$zip_entry`, int `$len` = 1024): string|false

Reads from an open directory entry.

### Parameters

`zip_entry`

  A directory entry returned by zip_read().

`len`

  The number of bytes to return.

  > Note:

  > This should be the uncompressed length you wish to read.

### Return Values

Returns the data read, empty string on end of a file, or `false` on error.

### Changelog

Version | Description
--- | ---
8.0.0 | This function is deprecated in favor of the Object API, see ZipArchive::getFromIndex().

### See Also

- zip_entry_open() - Open a directory entry for reading
- zip_entry_close() - Close a directory entry
- zip_entry_filesize() - Retrieve the actual file size of a directory entry